Skip to main content

Profile

Returns a RBLXValue user profile by Roblox username.

API Key Required

The profile endpoint requires a valid API key. Free keys (30 req/min) are supported — no paid plan needed. Get a free key at rblxvalue.com/developer.

Endpoint​

GET /api/v1/profile

Parameters​

ParameterTypeDescription
usernamestringRoblox username (required)

Example​

curl "https://rblxvalue.com/api/v1/profile?username=UN6107617" \
-H "X-Api-Key: rbx_your_key_here"

Response​

{
"success": true,
"profile": {
"username": "UN6107617",
"display_name": "UN6107617",
"avatar_url": "https://...",
"roblox_id": 319189457,
"inventory_public": true,
"total_value": 15420,
"item_count": 48,
"created_at": "2026-03-12T00:00:00",
"top_badge": "site_mod",
"top_badge_label": "Site Mod",
"profile_url": "https://rblxvalue.com/profile/UN6107617"
}
}

Profile Object​

FieldTypeDescription
usernamestringRoblox username
display_namestringDisplay name
avatar_urlstringHeadshot image URL
roblox_idintegerRoblox user ID
inventory_publicbooleanWhether inventory is public
total_valueintegerTotal inventory value (if public)
item_countintegerNumber of items (if public)
created_atstringISO 8601 join date
top_badgestringHighest badge key
top_badge_labelstringHuman-readable badge name
profile_urlstringLink to RBLXValue profile

Badge Hierarchy​

BadgeLabel
site_modSite Mod
moderatorDiscord Mod
verifiedVerified
discordDiscord
bug_reporterBug Reporter